<template>
  <client-only>
    <carousel v-bind="options">
      <slide v-for="(category, index) in categories" :key="index">
        <nuxt-link
          :to="`/category/${category.slug}`"
          class="flex flex-col items-center justify-center transition-all duration-300 ease-in-out opacity-50 hover:opacity-100"
        >
          <span
            class="flex items-center justify-center w-40 h-40 rounded-full bg-primary-300"
          >
            <!-- eslint-disable-next-line vue/no-v-html -->
            <span class="category-icon" v-html="category.icon"></span>
          </span>
          <h3 class="mt-5 text-2xl font-medium text-center text-black">
            {{ category.name }}
          </h3>
        </nuxt-link>
      </slide>
    </carousel>
  </client-only>
</template>

<script>
export default {
  props: {
    categories: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      options: {
        loop: true,
        perPage: 1,
        perPageCustom: [
          [480, 1],
          [540, 2],
          [768, 3],
          [1024, 4],
        ],
        autoplay: true,
        autoplayTimeout: 3000,
        navigationEnabled: true,
        paginationEnabled: false,
        navigationNextLabel:
          '<i class="bx bxs-chevron-right category-navigation" />',
        navigationPrevLabel:
          '<i class="bx bxs-chevron-left category-navigation" />',
      },
    }
  },
}
</script>

<style lang="postcss">
.category-navigation {
  @apply rounded-full h-12 w-12 text-4xl flex items-center justify-center bg-white text-secondary-300 shadow-md transition ease-in-out duration-300;
}
.category-navigation:hover {
  @apply text-secondary-500 bg-secondary-100 shadow-lg transition ease-in-out duration-300;
}
.VueCarousel-navigation-button:focus,
.VueCarousel-navigation-button:active {
  @apply outline-none !important;
}
.category-navigation:focus,
.category-navigation:active {
  @apply shadow-md !important;
}
.category-icon {
  @apply flex items-center justify-center text-white;
}
.category-icon > svg {
  @apply h-16 w-16 fill-current;
}
</style>
